Bug 1735701 - Review Request: golang-github-snapcore-gettext - native Go library for using gettext files
Summary: Review Request: golang-github-snapcore-gettext - native Go library for using ...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-01 09:54 UTC by Maciek Borzecki
Modified: 2019-08-26 03:39 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-23 06:46:00 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Comment 1 Robert-André Mauchin 🐧 2019-08-01 16:42:49 UTC
 - If no release has been published upstream, the Release field should start at 0.1

Release: 0.1%{?dist}

 - The full Release tag for a dev snapshot is computed automatically by gometa, but you still need to include in in the %changelog:

* Thu Aug 01 2019 Maciek Borzecki <maciek.borzecki@gmail.com> - 0-0.1.20190801git6598fb2

(the date will need to be the date you import the archive into dist-git)

Comment 2 Robert-André Mauchin 🐧 2019-08-01 17:12:09 UTC
Also you should use go2rpm, it will fill the correct info automatically.

Comment 3 Maciek Borzecki 2019-08-01 17:53:35 UTC
(In reply to Robert-André Mauchin from comment #2)
> Also you should use go2rpm, it will fill the correct info automatically.

Thank you for the review!

I've switched to gp2rpm and updated the spec accordingly. Kept the description though. The one from upstream is super terse.

SPEC: https://copr-be.cloud.fedoraproject.org/results/bboozzoo/golang-github-snapcore-gettext/fedora-rawhide-x86_64/00992901-golang-github-snapcore-gettext/golang-github-snapcore-gettext.spec
SRPM: https://copr-be.cloud.fedoraproject.org/results/bboozzoo/golang-github-snapcore-gettext/fedora-rawhide-x86_64/00992901-golang-github-snapcore-gettext/golang-github-snapcore-gettext-0-0.1.20190801git6598fb2.fc31.src.rpm

Scratch build for rawhide looks fine as well: https://koji.fedoraproject.org/koji/taskinfo?taskID=36738239

Comment 4 Robert-André Mauchin 🐧 2019-08-01 20:11:52 UTC
> 19:31:46 mborzecki | hi, quick question about the dist-git import you mentioned if you don't mind, that will happen once the package is actually accepted and i'll
                     | be importing it with fedpkg right?

Xes, when the package is accepted, the repo requested, you will be able tto import the srpm with fedpkg import . Since we automated the computation of the Release: field with macros, the actual snapshot date used is the one of the upload date.


 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.



You still need to find a sponsor, I suggest you introduce yourself on the devel mailing list and do informal reviews.
See https://fedoraproject.org/wiki/Join_the_package_collection_maintainers?rd=PackageMaintainers/Join 
and https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

Comment 5 Neal Gompa 2019-08-12 10:45:44 UTC
I've sponsored Maciek as a packager, this should be clear for import.

Comment 6 Gwyn Ciesla 2019-08-20 20:02:52 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-snapcore-gettext

Comment 7 Maciek Borzecki 2019-08-23 06:46:00 UTC
Build: https://koji.fedoraproject.org/koji/buildinfo?buildID=1363125
Submitted to rawhide: https://bodhi.fedoraproject.org/updates/FEDORA-2019-964569e82f

Thanks you for your help!

Comment 8 Fedora Update System 2019-08-25 20:59:35 UTC
FEDORA-2019-8136109724 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-8136109724

Comment 9 Fedora Update System 2019-08-26 00:52:50 UTC
golang-github-snapcore-gettext-0-0.1.20190823gita77afd6.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-08-26 03:39:15 UTC
golang-github-snapcore-gettext-0-0.1.20190823gita77afd6.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.